Package org.eclipse.cdt.core.settings.model.util

# Class PathEntryTranslator.ReferenceSettingsInfo

java.lang.Object
org.eclipse.cdt.core.settings.model.util.PathEntryTranslator.ReferenceSettingsInfo

Enclosing class:
  PathEntryTranslator

public static final class PathEntryTranslator.ReferenceSettingsInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`ReferenceSettingsInfo(ICConfigurationDescription cfgDescription)`
`ReferenceSettingsInfo(org.eclipse.core.runtime.IPath[] projPaths, ICExternalSetting[] extSettings)`

## Method Summary

Modifier and Type
Method
Description
`ICExternalSetting[]`
`getExternalSettings()`
`org.eclipse.core.runtime.IPath[]`
`getReferencedProjectsPaths()`
`Map<String,String>`
`getRefProjectsMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReferenceSettingsInfo

public ReferenceSettingsInfo(ICConfigurationDescription cfgDescription)

### ReferenceSettingsInfo

public ReferenceSettingsInfo(org.eclipse.core.runtime.IPath[] projPaths, ICExternalSetting[] extSettings)

## Method Details

### getReferencedProjectsPaths

public org.eclipse.core.runtime.IPath[] getReferencedProjectsPaths()

### getRefProjectsMap

public Map<String,String> getRefProjectsMap()

### getExternalSettings

public ICExternalSetting[] getExternalSettings()